Skip to main content
PUT
Update a webhook

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

webhook_id
string
required

The ID of the webhook to update.

Body

application/json
description
string

Human-readable purpose of the webhook.

is_active
boolean

Whether the webhook is active.

url
string

HTTPS URL that receives webhook deliveries; IP addresses are rejected.

Example:

"https://example.com/webhook"

Response

OK

created_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was created.

description
string | null
required

Webhook purpose.

id
string
required

Unique resource identifier.

is_active
boolean
required

Whether the webhook is active.

modified_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was last modified.

url
string
required

Webhook destination URL.